Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.taglib
Class NamespaceTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.jboss.portal.portlet.impl.jsr168.taglib.PortletTag
              org.jboss.portal.portlet.impl.jsr168.taglib.NamespaceTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  Namespace286Tag

    public class NamespaceTag

extends PortletTag

The namespace tag for the JSR 168 Portlet specification.

This tag produces a unique value for the current portlet.

This tag should be used for named elements in the portlet output (such as Javascript functions and variables). The namespacing ensures that the given name is uniquely associated with this portlet and avoids name conflicts with other elements on the portal page or with other portlets on the page.

Version:
  $Revision: 5448 $
Author:
  Sherman Wood
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NamespaceTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.taglib.PortletTag
`getActionRequest, getActionResponse, getConfig, getDispatchedRequest, getEventRequest, getEventResponse, getInvocation, getPortletPreferences, getPortletPreferenceValues, getPortletRequest, getPortletResponse, getPortletSessionScope, getRenderRequest, getRenderResponse, getResourceRequest, getResourceResponse, getSession`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceTag

    public NamespaceTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.